Как установить pcsx2 в Linux Mint 17.3?

Я пытаюсь установить эмулятор PS2 pcsx2 в Linux Mint 17.3. Однако, когда я пытаюсь это сделать после добавления ppa, это дает мне:

 The following packages have unmet dependencies: pcsx2:i386 : Depends: libegl1-mesa:i386 (>= 7.8.1) or libegl1-x11:i386 E: Unable to correct problems, you have held broken packages. 

Когда я пытаюсь установить этот dependecies sudo apt-get install libegl1-mesa:i386 я получаю:

 The following packages have unmet dependencies: libegl1-mesa:i386 : Depends: libgbm1:i386 (>= 7.11~1) but it is not going to be installed E: Unable to correct problems, you have held broken packages. 

И, наконец, когда я пытаюсь установить эту последнюю зависимость, я получаю:

 Reading package lists... Done Building dependency tree Reading state information... Done libgbm1:i386 is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded. 

В чем проблема? Установлена ​​ли эта библиотека? У меня установлен мультиаргий. Может ли это быть проблемой, потому что эта зависимость не совместима с несколькими серверами? Если Mint использует репозитории из Ubuntu, почему это работает в Ubuntu?

2 Solutions collect form web for “Как установить pcsx2 в Linux Mint 17.3?”

Это происходит из-за несовместимых пакетов mesa-dri, которые вы можете попробовать по одному команде на терминале, чтобы исправить эти проблемы.

 $ sudo apt-get autoclean $ sudo dpkg --purge --force-all libgl1-mesa-dri $ sudo dpkg --purge --force-all libgl1-mesa $ sudo dpkg --purge --force-all libgl1-mesa-glx:i386 $ sudo dpkg -r --force-all libgl1-mesa-dri $ sudo dpkg -r --force-all libgl1-mesa-glx $ sudo dpkg -r --force-all libglapi-mesa:i386 $ sudo dpkg -r --force-all libgl1-mesa-dri:i386 $ sudo dpkg -r --force-all libgl1-mesa-dev $ sudo dpkg -r --force-all libqt4-opengl-dev $ sudo dpkg -r --force-all libgl1-mesa-dri $ sudo apt-get -f install $ sudo apt-get update $ sudo apt-get upgrade $ sudo add-apt-repository ppa:gregory-hainaut/pcsx2.official.ppa $ sudo apt-get update $ sudo apt-get install pcsx2 

После этого шаги настройки и установки PCSX2 соответствуют, как показано в учебнике .

Как поясняется здесь, попробуйте

 sudo apt-get install libwayland-egl1-mesa-lts-vivid:i386 libegl1-mesa-lts-vivid:i386 
  • Как создать отдельное приложение в меню Mint?
  • Linux Mint 14 поддерживает установку
  • Перезагрузка вместо выключения на Linux Mint
  • Linux Mint 12: версия для DVD и версия для компакт-дисков
  • Проблема с поврежденными пакетами
  • Software Source перестает работать при изменении имени выпуска в файле lsb_release
  • Linux Mint 18 Cinnamon по умолчанию загружается в оболочку / командную строку / отключает графический интерфейс
  • Ярлык для «Показать все окна»
  • Жесткий диск не будет монтировать
  • Пользовательские настройки не сохранены в браузере Nemo в Linux Mint 14 Cinnamon edition
  • Linux Mint 16 MATE - Wi-Fi отключен аппаратным переключателем
  • Interesting Posts

    Полностью новый для SSH

    Можно ли установить размер логического сектора на более новых HDD / SSD?

    Как ввести пароль для нескольких окон?

    OpenWRT: Как создать интерфейс для виртуальных PPP-интерфейсов pptpd?

    Найти файлы, содержащие строку в имени файла и другую строку в файле?

    Почему символы новой строки теряются при использовании подстановки команд?

    Изменение формата даты auth.log

    Попытка понять, как работают драйверы устройств

    Сценарий завершения работы Hook для закрытия sequnce

    Блокировка веб-сайтов с помощью / etc / hosts

    Двунаправленный Drag and Drop / Shared Clipboard не работает с VirtualBox Kali Linux

    Kali linux выбрасывает «isolinux.bin пропавшую или поврежденную» ошибку с использованием USB 3.0

    Изменение громкости звука на приложение

    «Список аргументов слишком длинный»: как мне с этим справиться, не меняя мою команду?

    Увеличьте объем HFS + на OSX без повторного разбиения

    Linux и Unix - лучшая ОС в мире.